import { Panel } from "@phosphor/widgets";
import { JupyterLab } from '@jupyterlab/application';
import { IMainMenu } from '@jupyterlab/mainmenu';
import { ICommandPalette } from "@jupyterlab/apputils";
import { Kernel } from '@jupyterlab/services';
export declare namespace CommandIDs {
    const dashboard: string;
}
export declare class Sandbox extends Panel {
    private _frame;
    constructor();
    readonly iframeNode: HTMLIFrameElement;
    url: string;
}
declare function addMenuItem(app: JupyterLab, mainMenu: IMainMenu, palette: ICommandPalette, gKernel: Kernel.IKernel): void;
export { addMenuItem };
